fam_close
fam_monitor_directory
FAM Functions
PHP Manual

# fam_monitor_collection

(PHP 5 <= 5.0.5)

fam_monitor_collection — Monitor a collection of files in a directory for changes

### Description

resource fam_monitor_collection ( resource `$fam` , string `$dirname` , int `$depth` , string `$mask` )

Requests monitoring for a collection of files within a directory.

A FAM event will be generated whenever the status of the files change. The possible event codes are described in detail in the constants part of this section.

### Parameters

`fam`

  A resource representing a connection to the FAM service returned by fam_open()

`dirname`

  Directory path to the monitored files

`depth`

  The maximum search `depth` starting from this directory

`mask`

  A shell pattern `mask` restricting the file names to look for

### Return Values

Returns a monitoring resource or `FALSE` on errors.

### See Also

- fam_monitor_file() - Monitor a regular file for changes
- fam_monitor_directory() - Monitor a directory for changes
- fam_cancel_monitor() - Terminate monitoring
- fam_suspend_monitor() - Temporarily suspend monitoring
- fam_resume_monitor() - Resume suspended monitoring

fam_close
fam_monitor_directory
FAM Functions
PHP Manual